% This function returns a matrix of size m times n of +1,-1 with 50%
% probability distribution
function X = RandSource(m,n);
X = sign(rand(m,n)-0.5);
X(find(X==0)) = 1;  % just in case the uniform distribution happens to give exactly zero

